
#ifndef KACTIVITIESSTATS_EXPORT_H
#define KACTIVITIESSTATS_EXPORT_H

#ifdef KACTIVITIESSTATS_STATIC_DEFINE
#  define KACTIVITIESSTATS_EXPORT
#  define KACTIVITIESSTATS_NO_EXPORT
#else
#  ifndef KACTIVITIESSTATS_EXPORT
#    ifdef KF6ActivitiesStats_EXPORTS
        /* We are building this library */
#      define KACTIVITIESSTATS_EXPORT __attribute__((visibility("default")))
#    else
        /* We are using this library */
#      define KACTIVITIESSTATS_EXPORT __attribute__((visibility("default")))
#    endif
#  endif

#  ifndef KACTIVITIESSTATS_NO_EXPORT
#    define KACTIVITIESSTATS_NO_EXPORT __attribute__((visibility("hidden")))
#  endif
#endif

#ifndef KACTIVITIESSTATS_DECL_DEPRECATED
#  define KACTIVITIESSTATS_DECL_DEPRECATED __attribute__ ((__deprecated__))
#endif

#ifndef KACTIVITIESSTATS_DECL_DEPRECATED_EXPORT
#  define KACTIVITIESSTATS_DECL_DEPRECATED_EXPORT KACTIVITIESSTATS_EXPORT KACTIVITIESSTATS_DECL_DEPRECATED
#endif

#ifndef KACTIVITIESSTATS_DECL_DEPRECATED_NO_EXPORT
#  define KACTIVITIESSTATS_DECL_DEPRECATED_NO_EXPORT KACTIVITIESSTATS_NO_EXPORT KACTIVITIESSTATS_DECL_DEPRECATED
#endif

#if 0 /* DEFINE_NO_DEPRECATED */
#  ifndef KACTIVITIESSTATS_NO_DEPRECATED
#    define KACTIVITIESSTATS_NO_DEPRECATED
#  endif
#endif
#include <kactivitiesstats_version.h>

#define KACTIVITIESSTATS_DECL_DEPRECATED_TEXT(text) __attribute__ ((__deprecated__(text)))

/* Take any defaults from group settings */
#if !defined(KACTIVITIESSTATS_NO_DEPRECATED) && !defined(KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  ifdef KF_NO_DEPRECATED
#    define KACTIVITIESSTATS_NO_DEPRECATED
#  elif defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#    define KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#  endif
#endif
#if !defined(KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT) && defined(KF_DISABLE_DEPRECATED_BEFORE_AND_AT)
#  define KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT KF_DISABLE_DEPRECATED_BEFORE_AND_AT
#endif

#if !defined(KACTIVITIESSTATS_NO_DEPRECATED_WARNINGS) && !defined(KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE)
#  ifdef KF_NO_DEPRECATED_WARNINGS
#    define KACTIVITIESSTATS_NO_DEPRECATED_WARNINGS
#  elif defined(KF_DEPRECATED_WARNINGS_SINCE)
#    define KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#  endif
#endif
#if !defined(KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE) && defined(KF_DEPRECATED_WARNINGS_SINCE)
#  define KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE KF_DEPRECATED_WARNINGS_SINCE
#endif

#if defined(KACTIVITIESSTATS_NO_DEPRECATED)
#  undef KACTIVITIESSTATS_DEPRECATED
#  define KACTIVITIESSTATS_DEPRECATED_EXPORT KACTIVITIESSTATS_EXPORT
#  define KACTIVITIESSTATS_DEPRECATED_NO_EXPORT KACTIVITIESSTATS_NO_EXPORT
#elif defined(KACTIVITIESSTATS_NO_DEPRECATED_WARNINGS)
#  define KACTIVITIESSTATS_DEPRECATED
#  define KACTIVITIESSTATS_DEPRECATED_EXPORT KACTIVITIESSTATS_EXPORT
#  define KACTIVITIESSTATS_DEPRECATED_NO_EXPORT KACTIVITIESSTATS_NO_EXPORT
#else
#  define KACTIVITIESSTATS_DEPRECATED KACTIVITIESSTATS_DECL_DEPRECATED
#  define KACTIVITIESSTATS_DEPRECATED_EXPORT KACTIVITIESSTATS_DECL_DEPRECATED_EXPORT
#  define KACTIVITIESSTATS_DEPRECATED_NO_EXPORT KACTIVITIESSTATS_DECL_DEPRECATED_NO_EXPORT
#endif

/* No deprecated API had been removed from build */
#define KACTIVITIESSTATS_EXCLUDE_DEPRECATED_BEFORE_AND_AT 0

#define KACTIVITIESSTATS_BUILD_DEPRECATED_SINCE(major, minor) 1

#ifdef KACTIVITIESSTATS_NO_DEPRECATED
#  define KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT KACTIVITIESSTATS_VERSION
#endif
#ifdef KACTIVITIESSTATS_NO_DEPRECATED_WARNINGS
#  define KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE 0
#endif

#ifndef KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE
#  ifdef KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT
#    define KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  else
#    define KACTIVITIESSTATS_DEPRECATED_WARNINGS_SINCE KACTIVITIESSTATS_VERSION
#  endif
#endif

#ifndef KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT
#  define KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT 0
#endif

#ifdef KACTIVITIESSTATS_DEPRECATED
#  define KACTIVITIESSTATS_ENABLE_DEPRECATED_SINCE(major, minor) (((major<<16)|(minor<<8)) > KACTIVITIESSTATS_DISABLE_DEPRECATED_BEFORE_AND_AT)
#else
#  define KACTIVITIESSTATS_ENABLE_DEPRECATED_SINCE(major, minor) 0
#endif

#endif /* KACTIVITIESSTATS_EXPORT_H */
